﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.MasterPage
{
	public int Year
	{
		get
		{
			if (ViewState["Year"] == null)
			{
				return 2003;
			}
			return (int)ViewState["Year"];
		}
		set
		{
			ViewState["Year"] = value;
		}
	}

	protected void Page_Load(object sender, EventArgs e)
	{

	}

	protected void updateHtmlChart(object sender, EventArgs e)
	{
		RadDock myRadDock = (RadDock)ContentPlaceHolder1.FindControl("RadDock1");
		RadHtmlChart myRadHtmlChart = (RadHtmlChart)myRadDock.ContentContainer.FindControl("RadHtmlChart1");
		string seriesName = myRadHtmlChart.PlotArea.Series[0].Name;

		if (seriesName == "Years")
		{

			Year = int.Parse(postbackButton.CommandName);
			SqlDataSource2.SelectParameters[0].DefaultValue = Year.ToString();
			myRadHtmlChart.PlotArea.XAxis.DataLabelsField = "Quarter";
			myRadHtmlChart.PlotArea.Series[0].DataFieldY = "Rev";
			myRadHtmlChart.PlotArea.Series[0].Name = "Quarters";
			myRadHtmlChart.DataSourceID = "SqlDataSource2";
		}
		else
		{
			if (seriesName == "Quarters")
			{
				int quarter = int.Parse(postbackButton.CommandName);
				SqlDataSource3.SelectParameters[0].DefaultValue = Year.ToString();
				SqlDataSource3.SelectParameters[1].DefaultValue = quarter.ToString();
				myRadHtmlChart.PlotArea.XAxis.DataLabelsField = "Month";
				myRadHtmlChart.PlotArea.Series[0].DataFieldY = "Rev";
				myRadHtmlChart.PlotArea.Series[0].Name = "Months";
				myRadHtmlChart.DataSourceID = "SqlDataSource3";
			}
		}
	}

	//protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
	//{
	//    RadDock myRadDock = (RadDock)ContentPlaceHolder1.FindControl("RadDock1");
	//    RadHtmlChart myRadHtmlChart = (RadHtmlChart)myRadDock.ContentContainer.FindControl("RadHtmlChart1");
	//    string seriesName = myRadHtmlChart.PlotArea.Series[0].Name;

	//    if (seriesName == "Years")
	//    {

	//        Year = int.Parse(e.Argument);
	//        SqlDataSource2.SelectParameters[0].DefaultValue = Year.ToString();
	//        myRadHtmlChart.PlotArea.XAxis.DataLabelsField = "Quarter";
	//        myRadHtmlChart.PlotArea.Series[0].DataFieldY = "Rev";
	//        myRadHtmlChart.PlotArea.Series[0].Name = "Quarters";
	//        myRadHtmlChart.DataSourceID = "SqlDataSource2";
	//    }
	//    else
	//    {
	//        if (seriesName == "Quarters")
	//        {
	//            int quarter = int.Parse(e.Argument);
	//            SqlDataSource3.SelectParameters[0].DefaultValue = Year.ToString();
	//            SqlDataSource3.SelectParameters[1].DefaultValue = quarter.ToString();
	//            myRadHtmlChart.PlotArea.XAxis.DataLabelsField = "Month";
	//            myRadHtmlChart.PlotArea.Series[0].DataFieldY = "Rev";
	//            myRadHtmlChart.PlotArea.Series[0].Name = "Months";
	//            myRadHtmlChart.DataSourceID = "SqlDataSource3";
	//        }
	//    }
	//}
}
